Your search did not match any results.

JavaScript/jQuery Tile View - Directions

When direction is set to "horizontal" (default), JavaScript TileView overflows content to the right (or to the left if rtlEnabled is true). When direction is "vertical", this component overflows content downwards.

Backend API
$(() => { const direction = 'horizontal'; const homeTiles = $('#tileview').dxTileView({ items: homes, height: 390, baseItemHeight: 120, baseItemWidth: 185, itemMargin: 10, direction, itemTemplate(itemData, itemIndex, itemElement) { const $image = $('<div>') .addClass('image') .css('background-image', `url(${itemData.ImageSrc})`); itemElement.append($image); }, }).dxTileView('instance'); $('#use-vertical-direction').dxSelectBox({ items: ['horizontal', 'vertical'], inputAttr: { 'aria-label': 'Direction' }, value: direction, onValueChanged(data) { homeTiles.option('direction', data.value); }, }); });
<!DOCTYPE html> <html> <head> <title>DevExtreme Demo</title> <meta http-equiv="X-UA-Compatible" content="IE=edge" /> <meta http-equiv="Content-Type" content="text/html; charset=utf-8" /> <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" /> <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script> <script>window.jQuery || document.write(decodeURIComponent('%3Cscript src="js/jquery.min.js"%3E%3C/script%3E'))</script> <link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/25.1.7/css/dx.light.css" /> <script src="js/dx.all.js?v=25.1.7"></script> <script src="data.js"></script> <link rel="stylesheet" type="text/css" href="styles.css" /> <script src="index.js"></script> </head> <body class="dx-viewport"> <div class="demo-container"> <div id="tileview"></div> <div class="options"> <div class="caption">Options</div> <div class="option"> <span>Direction</span> <div id="use-vertical-direction"></div> </div> </div> </div> </body> </html>
.dx-selectbox { max-width: 400px; } .dx-tile-content { height: 100%; } .dx-tile-content .image { height: 100%; width: 100%; background-position: center; background-size: cover; display: block; } .options { padding: 20px; background-color: rgba(191, 191, 191, 0.15); margin-top: 20px; } .caption { font-size: 18px; font-weight: 500; } .option { margin-top: 10px; } .option > span { width: 70px; display: inline-block; } .option > .dx-widget { display: inline-block; vertical-align: middle; width: 100%; max-width: 350px; }
const homes = [{ ID: '1', Address: '652 Avonwick Gate', City: 'Toronto', State: 'ON', Price: 780000, ImageSrc: '../../../../images/gallery/1.jpg', }, { ID: '2', Address: '328 S Kerema Ave', City: 'Milford', State: 'CT', Price: 350000, ImageSrc: '../../../../images/gallery/3.jpg', }, { ID: '3', Address: '8512 Tanglewood Cir', City: 'Reform', State: 'AL', Price: 250000, ImageSrc: '../../../../images/gallery/6.jpg', widthRatio: 2, }, { ID: '4', Address: '6351 Forrest St', City: 'Jersey City', State: 'NJ', Price: 320000, ImageSrc: '../../../../images/gallery/14.jpg', }, { ID: '5', Address: '61207 16th St N', City: 'Moorhead', State: 'MN', Price: 1700000, ImageSrc: '../../../../images/gallery/5.jpg', heightRatio: 2, widthRatio: 2, }, { ID: '6', Address: '5119 Beryl Dr', City: 'San Antonio', State: 'TX', Price: 455000, ImageSrc: '../../../../images/gallery/4.jpg', }, { ID: '7', Address: '7121 Bailey St', City: 'Worcester', State: 'MA', Price: 555000, ImageSrc: '../../../../images/gallery/7.jpg', }, { ID: '8', Address: '82649 Topeka St', City: 'Riverbank', State: 'CA', Price: 1750000, ImageSrc: '../../../../images/gallery/2.jpg', heightRatio: 2, }, { ID: '9', Address: '7700 Elmwood Dr', City: 'Cleveland', State: 'OK', Price: 470000, ImageSrc: '../../../../images/gallery/17.jpg', heightRatio: 2, widthRatio: 2, }, { ID: '10', Address: '620201 Plymouth Rd', City: 'Detroit', State: 'MI', Price: 610000, ImageSrc: '../../../../images/gallery/8.jpg', }, { ID: '11', Address: '1198 Theresa Cir', City: 'Whitinsville', State: 'MA', Price: 320000, ImageSrc: '../../../../images/gallery/9.jpg', }, { ID: '12', Address: '4815 Warbler Ln', City: 'Rockport', State: 'TX', Price: 700000, ImageSrc: '../../../../images/gallery/12.jpg', }, { ID: '13', Address: '420234 Rogge St', City: 'Detroit', State: 'MI', Price: 320000, ImageSrc: '../../../../images/gallery/23.jpg', }, { ID: '14', Address: '114840 Interlake Ave N', City: 'Seattle', State: 'WA', Price: 400000, ImageSrc: '../../../../images/gallery/22.jpg', }, { ID: '15', Address: '13673 Pearl Dr #7', City: 'Monroe', State: 'MI', Price: 399000, ImageSrc: '../../../../images/gallery/20.jpg', }, { ID: '16', Address: '15447 Via Viento', City: 'Atascadero', State: 'CA', Price: 1100000, ImageSrc: '../../../../images/gallery/21.jpg', }];

Backend API
<template>
<div>
<DxTileView
:items="homes"
:height="height"
:base-item-height="baseItemHeight"
:base-item-width="baseItemWidth"
:width="width"
:item-margin="itemMargin"
:direction="direction"
>
<template #item="{ data }">
<HomeItem :item-data="data"/>
</template>
</DxTileView>
<div class="options">
<div class="caption">Options</div>
<div class="option">
<span>Direction </span>
{{ " " }}
<DxSelectBox
v-model:value="direction"
:input-attr="{ 'aria-label': 'Direction' }"
:items="directions"
/>
</div>
</div>
</div>
</template>
<script setup lang="ts">
import { ref } from 'vue';
import DxTileView, { type DxTileViewTypes } from 'devextreme-vue/tile-view';
import DxSelectBox from 'devextreme-vue/select-box';
import HomeItem from './HomeItem.vue';
import { homes } from './data.ts';
const directions: DxTileViewTypes.Orientation[] = ['horizontal', 'vertical'];
const direction = ref(directions[0]);
const height = 390;
const baseItemHeight = 120;
const baseItemWidth = 185;
const width = '100%';
const itemMargin = 10;
</script>
<style>
.dx-selectbox {
max-width: 400px;
}
.dx-tile-content {
height: 100%;
}
.options {
padding: 20px;
background-color: rgba(191, 191, 191, 0.15);
margin-top: 20px;
}
.caption {
font-size: 18px;
font-weight: 500;
}
.option {
margin-top: 10px;
}
.option > span {
width: 70px;
display: inline-block;
}
.option > .dx-widget {
display: inline-block;
vertical-align: middle;
width: 100%;
max-width: 350px;
}
</style>
<template>
<div
:style="{backgroundImage: 'url(' + itemData.ImageSrc + ')'}"
class="tile-image"
/>
</template>
<script setup lang="ts">
withDefaults(defineProps<{
itemData?: Record<string, any>
}>(), {
itemData: () => ({} as Record<string, any>),
});
</script>
<style scoped>
.tile-image {
height: 100%;
width: 100%;
background-position: center;
background-size: cover;
display: block;
}
</style>
window.exports = window.exports || {};
window.config = {
transpiler: 'plugin-babel',
meta: {
'*.vue': {
loader: 'vue-loader',
},
'*.ts': {
loader: 'demo-ts-loader',
},
'*.svg': {
loader: 'svg-loader',
},
'devextreme/time_zone_utils.js': {
'esModule': true,
},
'devextreme/localization.js': {
'esModule': true,
},
'devextreme/viz/palette.js': {
'esModule': true,
},
'openai': {
'esModule': true,
},
},
paths: {
'project:': '../../../../',
'npm:': 'https://cdn.jsdelivr.net/npm/',
'bundles:': '../../../../bundles/',
'externals:': '../../../../bundles/externals/',
},
map: {
'vue': 'npm:vue@3.4.27/dist/vue.esm-browser.js',
'@vue/shared': 'npm:@vue/shared@3.4.27/dist/shared.cjs.prod.js',
'vue-loader': 'npm:dx-systemjs-vue-browser@1.1.2/index.js',
'demo-ts-loader': 'project:utils/demo-ts-loader.js',
'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js',
'svg-loader': 'project:utils/svg-loader.js',
'mitt': 'npm:mitt/dist/mitt.umd.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@3.4.4/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign',
'devextreme': 'npm:devextreme@link:../../packages/devextreme/artifacts/npm/devextreme/cjs',
'devextreme-vue': 'npm:devextreme-vue@link:../../packages/devextreme-vue/npm/cjs',
'devextreme-quill': 'npm:devextreme-quill@1.7.6/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.24/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.64/dist/dx-gantt.js',
'inferno': 'npm:inferno@8.2.3/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@8.2.3/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
'@preact/signals-core': 'npm:@preact/signals-core@1.8.0/dist/signals-core.min.js',
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.8/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.8/parser-html.js',
},
packages: {
'devextreme-vue': {
main: 'index.js',
},
'devextreme-vue/common': {
main: 'index.js',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/common/core/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
],
babelOptions: {
sourceMaps: false,
stage0: true,
},
};
System.config(window.config);
// eslint-disable-next-line
const useTgzInCSB = ['openai'];
export const homes = [{
ID: '1',
Address: '652 Avonwick Gate',
City: 'Toronto',
State: 'ON',
Price: 780000,
ImageSrc: '../../../../images/gallery/1.jpg',
}, {
ID: '2',
Address: '328 S Kerema Ave',
City: 'Milford',
State: 'CT',
Price: 350000,
ImageSrc: '../../../../images/gallery/3.jpg',
}, {
ID: '3',
Address: '8512 Tanglewood Cir',
City: 'Reform',
State: 'AL',
Price: 250000,
ImageSrc: '../../../../images/gallery/6.jpg',
widthRatio: 2,
}, {
ID: '4',
Address: '6351 Forrest St',
City: 'Jersey City',
State: 'NJ',
Price: 320000,
ImageSrc: '../../../../images/gallery/14.jpg',
}, {
ID: '5',
Address: '61207 16th St N',
City: 'Moorhead',
State: 'MN',
Price: 1700000,
ImageSrc: '../../../../images/gallery/5.jpg',
heightRatio: 2,
widthRatio: 2,
}, {
ID: '6',
Address: '5119 Beryl Dr',
City: 'San Antonio',
State: 'TX',
Price: 455000,
ImageSrc: '../../../../images/gallery/4.jpg',
}, {
ID: '7',
Address: '7121 Bailey St',
City: 'Worcester',
State: 'MA',
Price: 555000,
ImageSrc: '../../../../images/gallery/7.jpg',
}, {
ID: '8',
Address: '82649 Topeka St',
City: 'Riverbank',
State: 'CA',
Price: 1750000,
ImageSrc: '../../../../images/gallery/2.jpg',
heightRatio: 2,
}, {
ID: '9',
Address: '7700 Elmwood Dr',
City: 'Cleveland',
State: 'OK',
Price: 470000,
ImageSrc: '../../../../images/gallery/17.jpg',
heightRatio: 2,
widthRatio: 2,
}, {
ID: '10',
Address: '620201 Plymouth Rd',
City: 'Detroit',
State: 'MI',
Price: 610000,
ImageSrc: '../../../../images/gallery/8.jpg',
}, {
ID: '11',
Address: '1198 Theresa Cir',
City: 'Whitinsville',
State: 'MA',
Price: 320000,
ImageSrc: '../../../../images/gallery/9.jpg',
}, {
ID: '12',
Address: '4815 Warbler Ln',
City: 'Rockport',
State: 'TX',
Price: 700000,
ImageSrc: '../../../../images/gallery/12.jpg',
}, {
ID: '13',
Address: '420234 Rogge St',
City: 'Detroit',
State: 'MI',
Price: 320000,
ImageSrc: '../../../../images/gallery/23.jpg',
}, {
ID: '14',
Address: '114840 Interlake Ave N',
City: 'Seattle',
State: 'WA',
Price: 400000,
ImageSrc: '../../../../images/gallery/22.jpg',
}, {
ID: '15',
Address: '13673 Pearl Dr #7',
City: 'Monroe',
State: 'MI',
Price: 399000,
ImageSrc: '../../../../images/gallery/20.jpg',
}, {
ID: '16',
Address: '15447 Via Viento',
City: 'Atascadero',
State: 'CA',
Price: 1100000,
ImageSrc: '../../../../images/gallery/21.jpg',
}];
import { createApp } from 'vue';
import App from './App.vue';
createApp(App).mount('#app');
<!DOCTYPE html>
<html lang="en">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/25.1.7/css/dx.light.css" />
<script src="https://cdn.jsdelivr.net/npm/typescript@5.4.5/lib/typescript.js"></script>
<script type="module">
import * as vueCompilerSFC from "https://cdn.jsdelivr.net/npm/@vue/compiler-sfc@3.4.27/dist/compiler-sfc.esm-browser.js";
window.vueCompilerSFC = vueCompilerSFC;
</script>
<script src="https://cdn.jsdelivr.net/npm/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.ts");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"> </div>
</div>
</body>
</html>

<dx-tile-view
#tileView
[height]="390"
[baseItemHeight]="120"
[baseItemWidth]="185"
width="100%"
[itemMargin]="10"
direction="horizontal"
>
<dxi-item
*ngFor="let home of homes"
[widthRatio]="home.widthRatio"
[heightRatio]="home.heightRatio"
>
<div
class="image"
[style.background-image]="'url(' + home.ImageSrc + ')'"
></div>
</dxi-item>
</dx-tile-view>
<div class="options">
<div class="caption">Options</div>
<div class="option">
<span>Direction</span>
<dx-select-box
[items]="['horizontal', 'vertical']"
[inputAttr]="{ 'aria-label': 'Direction' }"
[(value)]="tileView.direction"
>
</dx-select-box>
</div>
</div>
import { NgModule, Component, enableProdMode } from '@angular/core';
import { BrowserModule, BrowserTransferStateModule } from '@angular/platform-browser';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { DxTileViewModule, DxSelectBoxModule } from 'devextreme-angular';
import { Home, Service } from './app.service';
if (!/localhost/.test(document.location.host)) {
enableProdMode();
}
@Component({
selector: 'demo-app',
templateUrl: 'app/app.component.html',
styleUrls: ['app/app.component.css'],
providers: [Service],
preserveWhitespaces: true,
})
export class AppComponent {
homes: Home[];
constructor(service: Service) {
this.homes = service.getHomes();
}
}
@NgModule({
imports: [
BrowserModule,
BrowserTransferStateModule,
DxTileViewModule,
DxSelectBoxModule,
],
declarations: [AppComponent],
bootstrap: [AppComponent],
})
export class AppModule { }
platformBrowserDynamic().bootstrapModule(AppModule);
::ng-deep .dx-selectbox {
max-width: 400px;
}
::ng-deep .dx-tile-content {
height: 100%;
}
::ng-deep .dx-tile-content .image {
height: 100%;
width: 100%;
background-position: center;
background-size: cover;
display: block;
}
::ng-deep .options {
padding: 20px;
background-color: rgba(191, 191, 191, 0.15);
margin-top: 20px;
}
::ng-deep .caption {
font-size: 18px;
font-weight: 500;
}
::ng-deep .option {
margin-top: 10px;
}
::ng-deep .option > span {
width: 70px;
display: inline-block;
}
::ng-deep .option > .dx-widget {
display: inline-block;
vertical-align: middle;
width: 100%;
max-width: 350px;
}
import { Injectable } from '@angular/core';
export class Home {
ID: string;
Address: string;
City: string;
State: string;
Price: number;
ImageSrc: string;
heightRatio?: number;
widthRatio?: number;
}
const homes: Home[] = [{
ID: '1',
Address: '652 Avonwick Gate',
City: 'Toronto',
State: 'ON',
Price: 780000,
ImageSrc: '../../../../images/gallery/1.jpg',
}, {
ID: '2',
Address: '328 S Kerema Ave',
City: 'Milford',
State: 'CT',
Price: 350000,
ImageSrc: '../../../../images/gallery/3.jpg',
}, {
ID: '3',
Address: '8512 Tanglewood Cir',
City: 'Reform',
State: 'AL',
Price: 250000,
ImageSrc: '../../../../images/gallery/6.jpg',
widthRatio: 2,
}, {
ID: '4',
Address: '6351 Forrest St',
City: 'Jersey City',
State: 'NJ',
Price: 320000,
ImageSrc: '../../../../images/gallery/14.jpg',
}, {
ID: '5',
Address: '61207 16th St N',
City: 'Moorhead',
State: 'MN',
Price: 1700000,
ImageSrc: '../../../../images/gallery/5.jpg',
heightRatio: 2,
widthRatio: 2,
}, {
ID: '6',
Address: '5119 Beryl Dr',
City: 'San Antonio',
State: 'TX',
Price: 455000,
ImageSrc: '../../../../images/gallery/4.jpg',
}, {
ID: '7',
Address: '7121 Bailey St',
City: 'Worcester',
State: 'MA',
Price: 555000,
ImageSrc: '../../../../images/gallery/7.jpg',
}, {
ID: '8',
Address: '82649 Topeka St',
City: 'Riverbank',
State: 'CA',
Price: 1750000,
ImageSrc: '../../../../images/gallery/2.jpg',
heightRatio: 2,
}, {
ID: '9',
Address: '7700 Elmwood Dr',
City: 'Cleveland',
State: 'OK',
Price: 470000,
ImageSrc: '../../../../images/gallery/17.jpg',
heightRatio: 2,
widthRatio: 2,
}, {
ID: '10',
Address: '620201 Plymouth Rd',
City: 'Detroit',
State: 'MI',
Price: 610000,
ImageSrc: '../../../../images/gallery/8.jpg',
}, {
ID: '11',
Address: '1198 Theresa Cir',
City: 'Whitinsville',
State: 'MA',
Price: 320000,
ImageSrc: '../../../../images/gallery/9.jpg',
}, {
ID: '12',
Address: '4815 Warbler Ln',
City: 'Rockport',
State: 'TX',
Price: 700000,
ImageSrc: '../../../../images/gallery/12.jpg',
}, {
ID: '13',
Address: '420234 Rogge St',
City: 'Detroit',
State: 'MI',
Price: 320000,
ImageSrc: '../../../../images/gallery/23.jpg',
}, {
ID: '14',
Address: '114840 Interlake Ave N',
City: 'Seattle',
State: 'WA',
Price: 400000,
ImageSrc: '../../../../images/gallery/22.jpg',
}, {
ID: '15',
Address: '13673 Pearl Dr #7',
City: 'Monroe',
State: 'MI',
Price: 399000,
ImageSrc: '../../../../images/gallery/20.jpg',
}, {
ID: '16',
Address: '15447 Via Viento',
City: 'Atascadero',
State: 'CA',
Price: 1100000,
ImageSrc: '../../../../images/gallery/21.jpg',
}];
@Injectable()
export class Service {
getHomes(): Home[] {
return homes;
}
}
// In real applications, you should not transpile code in the browser.
// You can see how to create your own application with Angular and DevExtreme here:
// https://js.devexpress.com/Documentation/Guide/Angular_Components/Getting_Started/Create_a_DevExtreme_Application/
window.config = {
transpiler: 'ts',
typescriptOptions: {
module: 'system',
emitDecoratorMetadata: true,
experimentalDecorators: true,
},
meta: {
'typescript': {
'exports': 'ts',
},
'devextreme/localization.js': {
'esModule': true,
},
},
paths: {
'npm:': 'https://unpkg.com/',
},
map: {
'ts': 'npm:plugin-typescript@4.2.4/lib/plugin.js',
'typescript': 'npm:typescript@4.2.4/lib/typescript.js',
'@angular/core': 'npm:@angular/core@12.2.17',
'@angular/platform-browser': 'npm:@angular/platform-browser@12.2.17',
'@angular/platform-browser-dynamic': 'npm:@angular/platform-browser-dynamic@12.2.17',
'@angular/forms': 'npm:@angular/forms@12.2.17',
'@angular/common': 'npm:@angular/common@12.2.17',
'@angular/compiler': 'npm:@angular/compiler@12.2.17',
'tslib': 'npm:tslib@2.3.1/tslib.js',
'rxjs': 'npm:rxjs@7.5.3/dist/bundles/rxjs.umd.js',
'rxjs/operators': 'npm:rxjs@7.5.3/dist/cjs/operators/index.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.28.1/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@23.1.5/cjs',
'devextreme/bundles/dx.all': 'npm:devextreme@23.1.5/bundles/dx.all.js',
'jszip': 'npm:jszip@3.7.1/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@1.6.2/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.1',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.48',
'devextreme-angular': 'npm:devextreme-angular@23.1.5',
'@devextreme/runtime': 'npm:@devextreme/runtime@3.0.11',
'inferno': 'npm:inferno@7.4.11/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.4/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.4/parser-html.js',
},
packages: {
'app': {
main: './app.component.ts',
defaultExtension: 'ts',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
'rxjs': {
defaultExtension: 'js',
},
'rxjs/operators': {
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:@devextreme/runtime@3.0.11/inferno/package.json',
'npm:@angular/*/package.json',
'npm:@angular/common@12.2.17/*/package.json',
'npm:rxjs@7.5.3/package.json',
'npm:rxjs@7.5.3/operators/package.json',
'npm:devextreme-angular@23.1.5/*/package.json',
'npm:devextreme-angular@23.1.5/ui/*/package.json',
'npm:devextreme-angular@23.1.5/package.json',
'npm:devexpress-diagram@2.2.1/package.json',
'npm:devexpress-gantt@4.1.48/package.json',
],
};
System.config(window.config);
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/23.1.5/css/dx.light.css" />
<script src="https://unpkg.com/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://unpkg.com/zone.js@0.12.0/dist/zone.js"></script>
<script src="https://unpkg.com/reflect-metadata@0.1.13/Reflect.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script src="config.js"></script>
<script>
System.import("app").catch(console.error.bind(console));
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<demo-app>Loading...</demo-app>
</div>
</body>
</html>

Your search did not match any results.
Tile View

Directions

Documentation

By default, the TileView component is oriented horizontally, but you can orient it vertically using the direction property.

Backend API
Copy to CodeSandBox
Apply
Reset
import React from 'react'; import TileView from 'devextreme-react/tile-view'; import SelectBox from 'devextreme-react/select-box'; import RenderHomeItem from './HomeItem.js'; import { homes } from './data.js'; const directions = ['horizontal', 'vertical']; class App extends React.Component { constructor() { super(); this.state = { direction: 'horizontal', }; this.directionChanged = this.directionChanged.bind(this); } render() { return ( <div> <TileView items={homes} itemRender={RenderHomeItem} height={390} baseItemHeight={120} baseItemWidth={185} width='100%' itemMargin={10} direction={this.state.direction} /> <div className='options'> <div className='caption'>Options</div> <div className='option'> <span>Direction</span>&nbsp; <SelectBox items={directions} value={this.state.direction} onValueChanged={this.directionChanged}> </SelectBox> </div> </div> </div> ); } directionChanged(e) { this.setState({ direction: e.value, }); } } export default App;
import React from 'react'; export default function RenderHomeItem(data) { return ( <div className="dx-tile-image" style={{ backgroundImage: `url(${data.ImageSrc})` }} /> ); }
import React from 'react'; import ReactDOM from 'react-dom'; import App from './App.js'; ReactDOM.render( <App />, document.getElementById('app'), );
<!DOCTYPE html> <html> <head> <title>DevExtreme Demo</title> <meta http-equiv="X-UA-Compatible" content="IE=edge" /> <meta http-equiv="Content-Type" content="text/html; charset=utf-8" /> <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" /> <link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/22.2.3/css/dx.light.css" /> <link rel="stylesheet" type="text/css" href="styles.css" /> <script src="https://unpkg.com/core-js@2.6.12/client/shim.min.js"></script> <script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script> <script type="text/javascript" src="config.js"></script> <script type="text/javascript"> System.import("./index.js"); </script> </head> <body class="dx-viewport"> <div class="demo-container"> <div id="app"></div> </div> </body> </html>
.dx-selectbox { max-width: 400px; } .dx-tile-content { height: 100%; } .dx-tile-image { height: 100%; width: 100%; background-position: center; background-size: cover; display: block; } .options { padding: 20px; background-color: rgba(191, 191, 191, 0.15); margin-top: 20px; } .caption { font-size: 18px; font-weight: 500; } .option { margin-top: 10px; } .option > span { width: 70px; display: inline-block; } .option > .dx-widget { display: inline-block; vertical-align: middle; width: 100%; max-width: 350px; }
export const homes = [{ ID: '1', Address: '652 Avonwick Gate', City: 'Toronto', State: 'ON', Price: 780000, ImageSrc: '../../../../images/gallery/1.jpg', }, { ID: '2', Address: '328 S Kerema Ave', City: 'Milford', State: 'CT', Price: 350000, ImageSrc: '../../../../images/gallery/3.jpg', }, { ID: '3', Address: '8512 Tanglewood Cir', City: 'Reform', State: 'AL', Price: 250000, ImageSrc: '../../../../images/gallery/6.jpg', widthRatio: 2, }, { ID: '4', Address: '6351 Forrest St', City: 'Jersey City', State: 'NJ', Price: 320000, ImageSrc: '../../../../images/gallery/14.jpg', }, { ID: '5', Address: '61207 16th St N', City: 'Moorhead', State: 'MN', Price: 1700000, ImageSrc: '../../../../images/gallery/5.jpg', heightRatio: 2, widthRatio: 2, }, { ID: '6', Address: '5119 Beryl Dr', City: 'San Antonio', State: 'TX', Price: 455000, ImageSrc: '../../../../images/gallery/4.jpg', }, { ID: '7', Address: '7121 Bailey St', City: 'Worcester', State: 'MA', Price: 555000, ImageSrc: '../../../../images/gallery/7.jpg', }, { ID: '8', Address: '82649 Topeka St', City: 'Riverbank', State: 'CA', Price: 1750000, ImageSrc: '../../../../images/gallery/2.jpg', heightRatio: 2, }, { ID: '9', Address: '7700 Elmwood Dr', City: 'Cleveland', State: 'OK', Price: 470000, ImageSrc: '../../../../images/gallery/17.jpg', heightRatio: 2, widthRatio: 2, }, { ID: '10', Address: '620201 Plymouth Rd', City: 'Detroit', State: 'MI', Price: 610000, ImageSrc: '../../../../images/gallery/8.jpg', }, { ID: '11', Address: '1198 Theresa Cir', City: 'Whitinsville', State: 'MA', Price: 320000, ImageSrc: '../../../../images/gallery/9.jpg', }, { ID: '12', Address: '4815 Warbler Ln', City: 'Rockport', State: 'TX', Price: 700000, ImageSrc: '../../../../images/gallery/12.jpg', }, { ID: '13', Address: '420234 Rogge St', City: 'Detroit', State: 'MI', Price: 320000, ImageSrc: '../../../../images/gallery/23.jpg', }, { ID: '14', Address: '114840 Interlake Ave N', City: 'Seattle', State: 'WA', Price: 400000, ImageSrc: '../../../../images/gallery/22.jpg', }, { ID: '15', Address: '13673 Pearl Dr #7', City: 'Monroe', State: 'MI', Price: 399000, ImageSrc: '../../../../images/gallery/20.jpg', }, { ID: '16', Address: '15447 Via Viento', City: 'Atascadero', State: 'CA', Price: 1100000, ImageSrc: '../../../../images/gallery/21.jpg', }];
window.config = { transpiler: 'plugin-babel', meta: { 'devextreme/localization.js': { 'esModule': true, }, }, paths: { 'npm:': 'https://unpkg.com/', }, defaultExtension: 'js', map: { 'react': 'npm:react@17.0.2/umd/react.development.js', 'react-dom': 'npm:react-dom@17.0.2/umd/react-dom.development.js', 'prop-types': 'npm:prop-types@15.8.1/prop-types.js', 'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js', 'luxon': 'npm:luxon@1.28.0/build/global/luxon.min.js', 'es6-object-assign': 'npm:es6-object-assign@1.1.0', 'devextreme': 'npm:devextreme@22.2.3/cjs', 'devextreme-react': 'npm:devextreme-react@22.2.3', 'jszip': 'npm:jszip@3.7.1/dist/jszip.min.js', 'devextreme-quill': 'npm:devextreme-quill@1.5.18/dist/dx-quill.min.js', 'devexpress-diagram': 'npm:devexpress-diagram@2.1.65/dist/dx-diagram.js', 'devexpress-gantt': 'npm:devexpress-gantt@4.1.37/dist/dx-gantt.js', '@devextreme/runtime': 'npm:@devextreme/runtime@3.0.11', 'inferno': 'npm:inferno@7.4.11/dist/inferno.min.js', 'inferno-compat': 'npm:inferno-compat@7.4.11/dist/inferno-compat.min.js', 'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js', 'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js', 'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js', 'inferno-clone-vnode': 'npm:inferno-clone-vnode@7.4.11/dist/inferno-clone-vnode.min.js', 'inferno-create-class': 'npm:inferno-create-class@7.4.11/dist/inferno-create-class.min.js', 'inferno-extras': 'npm:inferno-extras@7.4.11/dist/inferno-extras.min.js', // SystemJS plugins 'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js', 'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js', // Prettier 'prettier/standalone': 'npm:prettier@2.7.1/standalone.js', 'prettier/parser-html': 'npm:prettier@2.7.1/parser-html.js', }, packages: { 'devextreme': { defaultExtension: 'js', }, 'devextreme-react': { main: 'index.js', }, 'devextreme/events/utils': { main: 'index', }, 'devextreme/events': { main: 'index', }, 'es6-object-assign': { main: './index.js', defaultExtension: 'js', }, }, packageConfigPaths: [ 'npm:@devextreme/*/package.json', 'npm:@devextreme/runtime@3.0.11/inferno/package.json', ], babelOptions: { sourceMaps: false, stage0: true, react: true, }, }; System.config(window.config);